package gearman

import (
	"testing"
)

func TestMessageContent(t *testing.T) {
	msg := &Message{Type: MessageCommandSatTX, String: `{"SatelliteID": 12}`}
	m := msg.Content()
	if m == nil {
		t.Fatal("could not parse message")
	}
	if m.SatelliteID != 12 {
		t.Fatal("parse of json failed, 12 != ", m.SatelliteID)
	}
}
